import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:mkuna_bamantra/mkuna_bamantra.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
    _initCallBackHandler();
  }





  void _initCallBackHandler(){

    MkunaBamantra.setMethodCallHandler((MethodCall call){


      if(call.method == "onCapture"){

        setState(() {
          _platformVersion = call.arguments;
        });


      }


    });







  }


  Future<void> _captureFinger() async {
    String test;

    try {

      test = await MkunaBamantra.invokeCapture();

    } on Exception catch (e){
      test = "FExxxxxxxxx: '${e.toString()}'.";
    }



    setState(() {
      _platformVersion = test;
    });

  }



  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await MkunaBamantra.platformVersion;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Test App'),
        ),
        body: Center(
          child: Column(
            children: [
              RaisedButton(
                child: Text('Capture'),
                onPressed: _captureFinger,
              ),
              Text(_platformVersion),
            ],
          ),
        ),
      ),
    );
  }
}
