
import 'dart:async';

import 'package:flutter/services.dart';

class MkunaBamantra {
  static const MethodChannel _channel =
      const MethodChannel('mkuna_bamantra');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }


  static Future<String> invokeCapture() async {
    String result;
    try {
      final String res = await _channel.invokeMethod('invokeCapture');
      result = res;
    } on PlatformException catch (e) {
      result = "Failed to invokeCapture: '${e.message}'.";
    }


    return result;

  }


  static void setMethodCallHandler(Future<dynamic> handler(MethodCall call)){

    _channel.setMethodCallHandler(handler);

  }


}
